# PSF-LoginServer - master - net.psforever.objects.serverobject.mount.Mountable
PSF - LoginServer - master - net.psforever.objects.serverobject.mount.Mountable
Keywords: PSF LoginServer master net.psforever.objects.serverobject.mount.Mountable

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package mount
  Definition Classes
    serverobject
- LargeCargo
- MaxOnly
- MountInfo
- MountRestriction
- Mountable
- MountableBehavior
- MountableDefinition
- MountableSpace
- MountableSpaceDefinition
- NoMax
- NoReinforcedOrMax
- Seat
- SeatDefinition
- SmallCargo
- Unrestricted

o

net.psforever.objects.serverobject.mount

# Mountable 

###
Companion trait Mountable

#### object Mountable

Source
  Mountable.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Mountable
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class CanDismount (obj: Mountable, seat_num: Int, mount_point: Int) extends Exchange with Product with Serializable

   Message sent in response to the player succeeding to disembark a `Mountable` object.

   Message sent in response to the player succeeding to disembark a `Mountable` object. The player was previously seated at the given index.

   obj

     the `Mountable` object

   seat_num

     the seat index

2.  final case class CanMount (obj: Mountable, seat_number: Int, mount_point: Int) extends Exchange with Product with Serializable

   Message sent in response to the player succeeding to access a `Mountable` object.

   Message sent in response to the player succeeding to access a `Mountable` object. The player should be seated at the given index.

   obj

     the `Mountable` object

   mount_point

     the mount index

3.  final case class CanNotDismount (obj: Mountable, seat_num: Int) extends Exchange with Product with Serializable

   Message sent in response to the player failing to disembark a `Mountable` object.

   Message sent in response to the player failing to disembark a `Mountable` object. The player is still seated at the given index.

   obj

     the `Mountable` object

   seat_num

     the seat index

4.  final case class CanNotMount (obj: Mountable, mount_point: Int) extends Exchange with Product with Serializable

   Message sent in response to the player failing to access a `Mountable` object.

   Message sent in response to the player failing to access a `Mountable` object. The player would have been be seated at the given index.

   obj

     the `Mountable` object

   mount_point

     the mount index

5.  sealed trait Exchange extends AnyRef

   A basic `Trait` connecting all of the actionable `Mountable` response messages.

6.  final case class MountMessages (player: Player, response: Exchange) extends Product with Serializable

   Message that carries the result of the processed request message back to the original user (`player`).

   Message that carries the result of the processed request message back to the original user (`player`).

   player

     the player who sent this request message

   response

     the result of the processed request

7.  final case class TryDismount (player: Player, seat_num: Int) extends Product with Serializable

   Message used by the player to indicate the desire to escape a `Mountable` object.

   Message used by the player to indicate the desire to escape a `Mountable` object.

   player

     the player who sent this request message

   seat_num

     the seat index

8.  final case class TryMount (player: Player, mount_point: Int) extends Product with Serializable

   Message used by the player to indicate the desire to board a `Mountable` object.

   Message used by the player to indicate the desire to board a `Mountable` object.

   player

     the player who sent this request message

   mount_point

     the mount index

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped